## org.apache.commons.math.util
Class OpenIntToFieldHashMap.Iterator

    java.lang.Object
      org.apache.commons.math.util.OpenIntToFieldHashMap.Iterator

Enclosing class:
  OpenIntToFieldHashMap<T extends FieldElement<T>>

    public class OpenIntToFieldHashMap.Iterator

extends Object

Iterator class for the map.

Field Summary
`private int` `current` Index of current element.
`private int` `next` Index of next element.
`private int` `referenceCount` Reference modification count.

Constructor Summary
`private` `OpenIntToFieldHashMap.Iterator()` Simple constructor.

Method Summary
`void` `advance()` Advance iterator one step further.
`boolean` `hasNext()` Check if there is a next element in the map.
`int` `key()` Get the key of current entry.
`T` `value()` Get the value of current entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### referenceCount

    private final int referenceCount

  Reference modification count.

### current

    private int current

  Index of current element.

### next

    private int next

  Index of next element.

Constructor Detail

### OpenIntToFieldHashMap.Iterator

    private OpenIntToFieldHashMap.Iterator()

  Simple constructor.

Method Detail

### hasNext

    public boolean hasNext()

  Check if there is a next element in the map.

  Returns:
    true if there is a next element

### key

    public int key()
            throws ConcurrentModificationException,
                   NoSuchElementException

  Get the key of current entry.

  Returns:
    key of current entry
  Throws:
    `ConcurrentModificationException` - if the map is modified during iteration
    `NoSuchElementException` - if there is no element left in the map

### value

    public T value()
                                    throws ConcurrentModificationException,
                                           NoSuchElementException

  Get the value of current entry.

  Returns:
    value of current entry
  Throws:
    `ConcurrentModificationException` - if the map is modified during iteration
    `NoSuchElementException` - if there is no element left in the map

### advance

    public void advance()
                 throws ConcurrentModificationException,
                        NoSuchElementException

  Advance iterator one step further.

  Throws:
    `ConcurrentModificationException` - if the map is modified during iteration
    `NoSuchElementException` - if there is no element left in the map

Copyright (c) 2003-2013 Apache Software Foundation